/****************************************************************************
**
** Copyright (C) 1992-2009 Nokia. All rights reserved.
**
** This file is part of Qt Jambi.
**
** ** No Commercial Usage
** This file contains pre-release code and may not be distributed.
** You may use this file in accordance with the terms and conditions
** contained in the either Technology Preview License Agreement or the
** Beta Release License Agreement.
**
** If you are unsure which license is appropriate for your use, please
** contact the sales department at qt-sales@nokia.com.


**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

class ObjectDescriptionSubclass___ {

    /**
     * Returns a named property.
     *
     * If the property is not set an invalid value is returned.
     *
     * @param name The name of the property to return
     * @return The property corresponding to the name
     */
    public final java.lang.Object property(String name) {
        return property(QNativePointer.createCharPointer(name));
    }

}// class

class Phonon___ {

    public String phononVersion() {
        com.trolltech.qt.QNativePointer np = phononVersion_private();
        if (np != null)
            return com.trolltech.qt.internal.QtJambiInternal.charPointerToString(np);
        else
            return null;
    }

}// class
